# ionoscloud\_pg\_versions\_v2

The **DBaaS PostgreSQL v2 Versions data source** can be used to retrieve the list of available PostgreSQL versions.

## Example Usage

```hcl
data "ionoscloud_pg_versions_v2" "example" {
  location = "de/txl"
}
```

## Argument Reference

* `location` - (Required)\[string] The region in which to look up available versions. Available locations: `de/fra`, `de/fra/2`, `de/txl`, `es/vit`, `fr/par`, `gb/bhx`, `gb/lhr`, `us/ewr`, `us/las`, `us/mci`.

## Attributes Reference

The following attributes are returned by the datasource:

* `versions` - The list of available PostgreSQL versions. Each version has the following attributes:
  * `id` - The ID (UUID) of the PostgreSQL version.
  * `version` - The PostgreSQL version string.
  * `status` - The support status of the version (e.g. `BETA`, `SUPPORTED`, `RECOMMENDED`, `DEPRECATED`).
  * `comment` - Additional information about the version status.
  * `can_upgrade_to` - List of versions that this version can be upgraded to.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.ionos.com/terraform-provider/data-sources/pg_versions_v2.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
